Get all roles

Base URL
https://{kibana_url}
  • GET /api/security/role
Auth

Retrieve all Kibana roles.

Query parameters

replaceDeprecatedPrivileges boolean

If true and the response contains any privileges that are associated with deprecated features, they are omitted in favor of details about the appropriate replacement feature privileges.

Response

Indicates a successful call.

application/json
<array> object[]
_unrecognized_applications string[]
description string

A description for the role.

elasticsearch object required

The Elasticsearch cluster, index, and remote cluster security privileges for the role.

cluster string[] · max items: 100
run_as string[] · max items: 100
kibana object[] required
_reserved string[]
base string[] required
feature map string to string required
spaces string[] required
metadata map string to object
name string required

The role name.

transient_metadata map string to object
Base URL
https://{kibana_url}